## org.apache.batik.dom.svg
Class SVGOMAnimatedTransformList

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMAnimatedTransformList

All Implemented Interfaces:
  LiveAttributeValue, SVGAnimatedTransformList

public class SVGOMAnimatedTransformList
extends java.lang.Object
implements SVGAnimatedTransformList, LiveAttributeValue

This class is the implementation of the SVGAnimatedTransformList interface.

Nested Class Summary
`class` `SVGOMAnimatedTransformList.SVGOMTransformList` SVGTransformList implementation for the static 'transform' attribute of the element.

Field Summary
`protected boolean` `changing` Whether the list is changing.
`protected java.lang.String` `defaultValue` Default value for the 'transform' attribute.
`protected AbstractElement` `element` The associated element.
`protected java.lang.String` `localName` The attribute's local name.
`protected java.lang.String` `namespaceURI` The attribute's namespace URI.
`protected AbstractSVGTransformList` `transformList` SVGTransformList mapping the static 'transform' attribute.

Constructor Summary
`SVGOMAnimatedTransformList(AbstractElement elt, java.lang.String ns, java.lang.String ln, java.lang.String defaultValue)`

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.
`SVGTransformList` `getAnimVal()`
`SVGTransformList` `getBaseVal()` return the SVGTransformList mapping the static 'transform' attribute of the element

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### element

    protected AbstractElement element

  The associated element.

### namespaceURI

    protected java.lang.String namespaceURI

  The attribute's namespace URI.

### localName

    protected java.lang.String localName

  The attribute's local name.

### changing

    protected boolean changing

  Whether the list is changing.

### transformList

    protected AbstractSVGTransformList transformList

  SVGTransformList mapping the static 'transform' attribute.

### defaultValue

    protected java.lang.String defaultValue

  Default value for the 'transform' attribute.

Constructor Detail

### SVGOMAnimatedTransformList

    public SVGOMAnimatedTransformList(AbstractElement elt,
                                      java.lang.String ns,
                                      java.lang.String ln,
                                      java.lang.String defaultValue)

Method Detail

### getBaseVal

    public SVGTransformList getBaseVal()

  return the SVGTransformList mapping the static 'transform' attribute of the element

  Specified by:
    `getBaseVal` in interface `SVGAnimatedTransformList`
  Returns:
    a transform list.

### getAnimVal

    public SVGTransformList getAnimVal()

  Specified by:
    `getAnimVal` in interface `SVGAnimatedTransformList`

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.